import { Badge } from "antd";
import React from "react";

/** 广告状态 */
export const ADSTATUSEnum = {
    'NOT_DELETED': <Badge color={'cyan'} text='不限' />,
    'ALL': <Badge color={'cyan'} text='不限（包含已删除）' />,
    'OK': <Badge status="processing" text='投放中' />,
    'DELETED': <Badge status="error" text='已删除' />,
    'PROJECT_OFFLINE_BUDGET': <Badge status="error" text='项目超出预算' />,
    'PROJECT_PREOFFLINE_BUDGET': <Badge status="warning" text='项目接近预算' />,
    'TIME_NO_REACH': <Badge color={'purple'} text='未到达投放时间' />,
    'TIME_DONE': <Badge status="success" text='已完成' />,
    'NO_SCHEDULE': <Badge color={'volcano'} text='不在投放时段' />,
    'AUDIT': <Badge status="success" text='新建审核中' />,
    'REAUDIT': <Badge status="success" text='修改审核中' />,
    'FROZEN': <Badge status="error" text='已终止' />,
    'AUDIT_DENY': <Badge status="error" text='审核不通过' />,
    'OFFLINE_BUDGET': <Badge status="error" text='广告超出预算' />,
    'OFFLINE_BALANCE': <Badge status="error" text='账户余额不足' />,
    'PREOFFLINE_BUDGET': <Badge status="warning" text='广告接近预算' />,
    'DISABLED': <Badge status="default" text='已暂停' />,
    'PROJECT_DISABLED': <Badge status="default" text='已被项目暂停' />,
    'LIVE_ROOM_OFF': '关联直播间不可投',
    'PRODUCT_OFFLINE': '关联商品不可投',
    'AWEME_ACCOUNT_DISABLED': '关联抖音账号不可投',
    'AWEME_ANCHOR_DISABLED': '锚点不可投',
    'DISABLE_BY_QUOTA': <Badge status="default" text='已暂停（配额达限）' />,
    'CREATE': <Badge status="default" text='新建' />,
    'ADVERTISER_OFFLINE_BUDGET': <Badge status="error" text='账号超出预算' />,
    'ADVERTISER_PREOFFLINE_BUDGET': <Badge status="warning" text='账号接近预算' />
}

/** 出价方式 */
export enum PRICINGEnum {
    PRICING_CPC = 'CPC（点击付费）',
    PRICING_CPM = 'CPM（展示付费）',
    PRICING_OCPC = 'OCPC（已下线）',
    PRICING_OCPM = 'OCPM（转化量付费）',
    PRICING_CPV = 'CPV',
    PRICING_CPA = 'CPA（已下线）',
    PRICING_CPC_OCPM = 'CPC - OCPM两阶段出价（仅搜索广告可用）'
}

export enum LANDINGTYPEEnum {
    APP = '应用推广',
    LINK = '销售线索推广',
    MICRO_GAME = '小程序',
    SHOP = '电商店铺推广',
    QUICK_APP = '快应用',
    NATIVE_ACTION = '原生互动',
    DPA = '商品目录'
}