import { useAjax } from "@/Hook/useAjax"
import { setBackApi } from "@/services/gameData/order"
import { Alert, InputNumber, Modal, message } from "antd"
import React, { useState } from "react"

interface Props {
    data: any
    visible?: boolean
    onClose?: () => void
    onChange?: () => void
}
const Back: React.FC<Props> = ({ data, visible, onClose, onChange }) => {

    /****************************/
    const [backMoney, setBackMoney] = useState<number>()
    const setBack = useAjax((params) => setBackApi(params))
    /****************************/

    const handleOk = () => {
        if (backMoney) {
            setBack.run({ type: data.backTableName, id: data.backId, backMoney }).then(res => {
                if (res) {
                    message.success('回传成功')
                    onChange?.()
                }
            })
        } else {
            message.error('请输入回传金额')
        }
    }


    return <Modal
        title="手动回传"
        visible={visible}
        onCancel={onClose}
        onOk={handleOk}
    >
        <Alert message="回传状态3分钟延迟" type="error" style={{ marginBottom: 10 }}/>
        <InputNumber placeholder="请输入回传金额" value={backMoney} onChange={(e) => setBackMoney(e)} style={{ width: '100%' }} />
    </Modal>
}

export default React.memo(Back)